Bug 76862 - Printing text with LPRng/hpijs/hp920c loses lines
Printing text with LPRng/hpijs/hp920c loses lines
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-28 06:41 EST by P Fudd
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-26 15:14:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test print file, plain text showing lines and columns (726 bytes, text/plain)
2002-10-28 06:43 EST, P Fudd
no flags Details
Improved ASCII printer test page, designed to show data loss. (512 bytes, text/plain)
2002-11-04 20:44 EST, P Fudd
no flags Details

  None (edit)
Description P Fudd 2002-10-28 06:41:50 EST
Description of Problem: 
  Printing a 70-line text file loses lines 62-65
  Printing a 90-column text file loses columns 81-90


Version-Release number of selected component (if applicable):
Fresh redhat-8.0 install, plus updates from website as of 2002-10-28

How Reproducible:
Always

Steps to Reproduce:
1. Install RedHat 8.0
2. Configure HP DeskJet 920c
3. Print a 69-line, 90 column text file (included)

Actual Results:
Lines 62-65 don't get printed, and the second page starts with line 66.
Column 81 is half-printed, and nothing more.


Expected Results:
If I print a text file, I want to see the entire text file; missing lines of
text is a bad thing.  And long lines should wrap.

Additional Information:
Comment 1 P Fudd 2002-10-28 06:43:14 EST
Created attachment 82364 [details]
Test print file, plain text showing lines and columns
Comment 2 P Fudd 2002-10-28 06:45:20 EST
I used redhat-config-printer-gui to set up the printer.
Comment 3 P Fudd 2002-11-04 20:32:02 EST
I'm an idiot.

After much debugging and changing of various shell scripts, I discovered that
the paper size was set to 'A4' in redhat-config-printer-gui, not 'US Letter'.

Postscript output looks perfect now.
Comment 4 P Fudd 2002-11-04 20:43:16 EST
Ummm.... I closed the wrong bug.  Fixing the paper size fixed bug 76856.

After fixing the paper size, I'm only losing a single line of text, line 66.

And I'm attaching an improved test file.
Comment 5 P Fudd 2002-11-04 20:44:41 EST
Created attachment 83624 [details]
Improved ASCII printer test page, designed to show data loss.
Comment 6 Tim Waugh 2002-11-05 07:01:32 EST
Are you using 'convert text to postscript'?
Comment 7 P Fudd 2002-11-05 07:17:23 EST
Yes.

The HP Deskjet 920c (el cheapo inkjet printer, but better than other brands)
uses its own private language to do graphics, and so ghostscript (gs) calls
hpijs in order to print.

LPRng is taking my text file, running mpage on it (to make it postscript), then
ghostscript (to make it a bitmap), then hpijs (to make it into the printer
language).

Mpage breaks the page at 66 lines, which is the normal number of lines per page.
Per US Letter page, I should say.

There is a database (XML) that foomatic looks at to determine the number of
pixels the printer can handle horizontally and vertically.  It gets passed on to
ghostscript and hpijs.
Comment 8 Tim Waugh 2002-11-05 07:26:49 EST
Did you try unsetting that option?
Comment 9 P Fudd 2002-11-05 07:29:41 EST
This printer doesn't accept plain text.  It can't handle it.
Comment 10 P Fudd 2002-11-05 07:30:30 EST
So no, I didn't try unsetting that option.
Comment 11 P Fudd 2002-11-26 15:13:56 EST
Umm....  do you have good recipe for crow?  Apparently the printer can handle
plain text.  I can now print 60 lines per page, and it doesn't lose any lines
between pages.

That said, I would rather get 66 lines per page, like all the other printers out
there.  I guess if the spacing between lines were just a smidgen smaller, or if
the font were a tad smaller, the 66th line would fit.

Mpage converts ascii to postscript in 66-line pages, and hands that off to
ghostscript and hpijs to deal with.  The silent truncation of those postscript
pages is the problem.
Comment 12 Tim Waugh 2002-12-12 10:58:33 EST
The lines-per-inch can be changed easily with CUPS, so I consider this problem
addressed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.